<!-- 设备健康度排行 -->
<template>
    <div class="device-count">
        <div class="header">
            <div class="header-title">设备健康度排行</div>
            <j-date-picker v-model:value="date" />
        </div>
        <div v-for="(item, index) in devices" :key="index" class="content-item">
          <img :src="getImage('/device-overview/kqjc/SD@2x.png')" alt="">
          <div class="item-text">
            {{ item.title }} <br />
            <span class="item-date">{{ item.date }}</span>
          </div>
          <span>{{ item.value }}</span>
        </div>
    </div>
</template>
<script lang="ts" name="EquipmentHealth" setup>
import { getImage } from '@/utils/comm';
const date = ref();
const devices = ref<any>([]);

onMounted(() => {
  devices.value = [
    {title: "温湿计", date: "2023-04-05", value: 300, img: ""},
    {title: "门禁", date: "2023-04-05", value: 300, img: ""},
    {title: "新风机", date: "2023-04-05", value: 300, img: ""},
    {title: "精密空调", date: "2023-04-05", value: 300, img: ""},
    {title: "UPS", date: "2023-04-05", value: 300, img: ""},
    {title: "UPS", date: "2023-04-05", value: 300, img: ""},
  ];
})
</script>
<style scoped lang="less">
.device-count {
    background: white;
    border-radius: 8px;
    padding: 16px;
    height: 100%;
    .header {
        display: flex;
        align-items: center;
        justify-content: space-between;
        .header-title {
            border-left: 3px solid #3468ff;
            padding-left: 8px;
            font-size: 16px;
            font-family: PingFang SC-Medium, PingFang SC;
            font-weight: 500;
            color: #333333;
            line-height: 23px;
        }
    }

    .content-item {
      display: flex;
      align-items: center;
      justify-content: space-between;
      padding: 8px;
      border-bottom: 1px solid #cccccc;
      >img {
        width: 40px;
        height: 40px;
      }
      .item-text {
        margin-left: 16px;
        flex: 1;
        font-size: 16px;
        .item-date {
          font-size: 12px;
          color: #999999;
        }
      }
    }
}
</style>
